/*=============== GOOGLE FONTS ===============*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

/*=============== VARIABLES CSS ===============*/
:root {
    --header-height: 3.5rem;

    /*========== Colors ==========*/
    /*Color mode HSL(hue, saturation, lightness)*/
    --first-color: #1D3557;
    --text-color: #fffff;
    --cancel-button: #F67280;
    --update-button:#fffff;
    --detail-button: hsla(186, 71%, 31%, 1);
    --hover-color: hsla(185, 52%, 48%, 1);

    /*========== Font and typography ==========*/
    /*.5rem = 8px | 1rem = 16px ...*/
    --body-font: 'Space Grotesk', sans-serif;
    --biggest-font-size: 2.375rem;
    --normal-font-size: .938rem;
    --smaller-font-size: .75rem;
}

/* Responsive typography */
@media screen and (min-width: 1024px) {
    :root {
        --biggest-font-size: 5rem;
        --normal-font-size: 1rem;
        --smaller-font-size: .813rem;
    }
}

/*=============== BASE ===============*/
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    color: white;
    /*background: #1D3557;*/

}
p{
    color: var(--neutral-two-color);
}
span{
    color: var(--neutral-two-color);
}
.dropdown-item {
    color: var(--neutral-two-color);
    display: block;
    margin: auto;
}
#navbarDropdownItem {
    color: var(--neutral-two-color);
}
body {
    background-image: url(../img/BG.png);
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    font-weight: 500;
}
img {
    max-width: 100%;
    height: auto;
}
.text-welcome {
    text-align: center;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
    max-width: 1024px;
    margin-left: 1.5rem;
    margin-right: 1.5rem;
    padding-right: 2rem;
}

.main {
    overflow: hidden; /* For the animations ScrollReveal */
}
/*=============== HOME ===============*/
.home {
    background-color: var(--first-color);
    padding: 9rem 0 2rem;
    height: 100vh;
    display: grid;
}
.home__add__karyawan {
    background-color: var(--first-color);
    padding: 9rem 0 2rem;
    max-height: 100%;
    min-height: 100vh;
    display: grid;
}

.home__container {
    display: grid;
    align-content: center;
    row-gap: 2.5rem;
}

.home__data {
    text-align: center;
}

.home__title {
    font-size: var(--biggest-font-size);
    margin: .75rem 0;
}


.home__button {
    margin-top: 2rem;
    display: inline-block;
    background-color: #FFFFFF;
    color: #1D3557;
    padding: .80rem 1.5rem;
    border-radius: 3rem;
    transition: .4s;
}

.home__button:hover {
    box-shadow: 0 4px 12px hsla(38, 69%, 8%, .2);
    color: var(--hover-color);
}
.karyawan__button {
    margin-top: 2rem;
    display: inline-block;
    background-color: var(--text-color);
    color: #fff;
    padding: .80rem 1.5rem;
    border-radius: 3rem;
    transition: .4s;
}

.karyawan__button:hover {
    box-shadow: 0 4px 12px hsla(38, 69%, 8%, .2);
    color: var(--hover-color);
}

.presensi__button {
    margin-top: 2rem;
    display: inline-block;
    background-color: var(--cancel-button);
    color: #fff;
    padding: .80rem 1.5rem;
    border-radius: 3rem;
    transition: .4s;
}

.presensi__button:hover {
    box-shadow: 0 4px 12px hsla(38, 69%, 8%, .2);
    color: var(--hover-color);
}

.tambahTugas__button {
    margin-top: 2rem;
    display: inline-block;
    background-color: var(--detail-button);
    color: #fff;
    padding: .80rem 1.5rem;
    border-radius: 3rem;
    transition: .4s;
}
.tambahTugas__button:hover {
    box-shadow: 0 4px 12px hsla(38, 69%, 8%, .2);
    color: var(--hover-color);
}
.filter__button {
    margin-top: 2rem;
    display: inline-block;
    background-color: var(--update-button);
    color: #fff;
    padding: .80rem 1.5rem;
    border-radius: 3rem;
    transition: .4s;
}

.filter__button:hover {
    box-shadow: 0 4px 12px hsla(38, 69%, 8%, .2);
    color: var(--hover-color);
}

.add__button {
    display: inline-block;
    background-color: var(--text-color);
    color: #fff;
    padding: .80rem 0.75rem;
    border-radius: 3rem;
    transition: .4s;
    font-size: 14px;
}


.add__button:hover {
    box-shadow: 0 4px 12px hsla(38, 69%, 8%, .2);
    color: var(--hover-color);
}

.cancel__button {
    display: inline-block;
    background-color: var(--cancel-button);
    color: #fff;
    padding: .80rem 0.75rem;
    border-radius: 3rem;
    transition: .4s;
    font-size: 14px;
}

.cancel__button:hover {
    box-shadow: 0 4px 12px hsla(38, 69%, 8%, .2);
    color: var(--hover-color);
}

.detail__button {
    display: inline-block;
    background-color: var(--detail-button);
    color: #fff;
    padding: .80rem 0.75rem;
    border-radius: 3rem;
    transition: .4s;
    font-size: 14px;
}

.detail__button:hover {
    box-shadow: 0 4px 12px hsla(38, 69%, 8%, .2);
    color: var(--hover-color);
}

.update__button {
    display: inline-block;
    background-color: var(--update-button);
    color: #fff;
    padding: .80rem 0.75rem;
    border-radius: 3rem;
    transition: .4s;
    font-size: 14px;
}

.update__button:hover {
    box-shadow: 0 4px 12px hsla(38, 69%, 8%, .2);
    color: var(--hover-color);
}
.required:after {
    content:" *";
    color: red;
}


.home__img img {
    width: 230px;
    animation: floaty 1.8s infinite alternate;
}

.home__img {
    justify-self: center;
}

.home__shadow {
    width: 130px;
    height: 24px;
    background-color: /*hsla(65, 15%, 17%, 0.16)*/ #ffffff;
    margin: 0 auto;
    border-radius: 50%;
    filter: blur(7px);
    animation: shadow 1.8s infinite alternate;
}

.home__footer {
    display: flex;
    justify-content: center;
    column-gap: .5rem;
    font-size: var(--smaller-font-size);
    align-self: flex-end;
}

/* Animate ghost */
@keyframes floaty {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(15px);
    }
}

@keyframes shadow {
    0% {
        transform: scale(1, 1);
    }
    100% {
        transform: scale(.85, .85);
    }
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 320px) {
    .home {
        padding-top: 7rem;
    }
}

/* For large devices */
@media screen and (min-width: 1024px) {
    .home__container {
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
        column-gap: 2rem;
    }
    .home__data {
        text-align: initial;
    }
    .home__img img {
        width: 400px;
    }
    .home__shadow {
        width: 250px;
        height: 40px;
    }
}

@media screen and (min-width: 1048px) {
    .container {
        margin-left: auto;
        margin-right: auto;
    }
}

/* For 2K resolutions (2048 x 1152, 2048 x 1536) */
@media screen and (min-width: 2048px) {
    body {
        zoom: 1.7;
    }

    .home {
        height: initial;
        row-gap: 4rem;
    }
}

/* For 4K resolutions (3840 x 2160, 4096 x 2160) */
@media screen and (min-width: 3840px) {
    body {
        zoom: 3.1;
    }
}